javax.persistence

## Annotation Type EntityListeners

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface EntityListeners

Specifies the callback listener classes to be used for an entity or mapped superclass. This annotation may be applied to an entity class or mapped superclass.

Since:
  Java Persistence 1.0

### Required Element Summary

Required Elements
`java.lang.Class[]` `value` The callback listener classes

### Element Detail

#### value

    public abstract java.lang.Class[] value

The callback listener classes